Package org.apache.catalina.ssi

# Class SSIExec

java.lang.Object
org.apache.catalina.ssi.SSIExec

All Implemented Interfaces:
  `SSICommand`

public class SSIExec extends Object implements SSICommand
Implements the Server-side #exec command

Author:
  Bip Thelin, Amy Roh, Paul Speed, Dan Sandberg, David Becker

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`BUFFER_SIZE`
`protected final SSIInclude`
`ssiInclude`

## Constructor Summary

Constructors
Constructor
Description
`SSIExec()`

## Method Summary

Modifier and Type
Method
Description
`long`
`process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
Write the output of the command to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ssiInclude

protected final SSIInclude ssiInclude

### BUFFER_SIZE

protected static final int BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### SSIExec

public SSIExec()

## Method Details

### process

public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
Description copied from interface: `SSICommand`
Write the output of the command to the writer.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands